PHP-Scripte PHP-Tutorials PHP-Jobs und vieles mehr

PHP-Scripte PHP-Tutorials PHP-Jobs und vieles mehr (https://www.php-resource.de/forum/)
-   PHP Developer Forum (https://www.php-resource.de/forum/php-developer-forum/)
-   -   T_OLD_FUNCTION or T_FUNCTION or T_VAR (https://www.php-resource.de/forum/php-developer-forum/89241-t_old_function-or-t_function-or-t_var.html)

sypr0 05-01-2008 18:46

T_OLD_FUNCTION or T_FUNCTION or T_VAR
 
Hab mal ne kurze Frage bzw. ein Problem mit einer Klasse, wenn ich diese auf einem 1und1 server benutzen möchte (lokal funktioniert alles):

PHP-Code:

L2 class upload
L3 
{
L4    public $arrResult;
.    public 
$arrTypes;
.    public 
$types;
.    public 
$FileSize;
    public 
$galDir;
    public 
$zip;
...
usw 

Fehlermeldung ist folgende:
PHP-Code:

Parse errorparse errorunexpected T_STRINGexpecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /***/upload.php on line 4 

1. Kann mir jemand sagen, welche Einstellung der Server haben muss, damit mir der fehler erspart bleibt?

2. Ist der Fehler normal?

Thx 4 help

ghostgambler 05-01-2008 18:55

echo phpversion();

Ich würd drauf wetten, dass da was mit ner 4 vorne bei raus kommt...

Griecherus 05-01-2008 18:57

Klingt nach PHP < 5. Ergo kennt der Parser die public/ private/ protected Schlüsselwörter nicht und erwartet stattdessen var.

sypr0 05-01-2008 19:14

man ist das ein mist :( , ich hab auf dem selben server noch joomla 1.5 laufen, kann ich denn dann so einfach auf php 5 umstelln ohne crashes zu erhalten?

... edit

hat sich erledigt, bei 1und1 - dem Paket was ich da verwalte, kann man die phpversion eh nicht wechseln :(

onemorenerd 05-01-2008 21:05

PHP 4 ist tot. Jemand sollte das 1&1 mal mitteilen. :cool:

ghostgambler 05-01-2008 22:27

Schreib 1&1, dass sie updaten sollen... zumindest mein Hoster hat das ohne Wenn und Aber gemacht.

combie 05-01-2008 22:34

Die haben vergangenen Herbst erst PHP3 gekillt!
Und meines bescheidenen Wissens nach kann man selbst bei den billig Verträgen per .htaccess auf PHP5 umstellen.
Und ja, es sind wirklich die neuesten Versionen. Bei meinem letzten Kontakt (umstellung PHP3-->>PHP5), waren es 4.4.7 und 5.2.3 .
Alternativ: http://hilfe-center.1und1.de/hosting...en/php/14.html

PS:
.htaccess
AddType x-mapp-php5 .php

Einen Versuch ist es wert...


Alle Zeitangaben in WEZ +2. Es ist jetzt 06:44 Uhr.

Powered by vBulletin® Version 3.8.2 (Deutsch)
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Search Engine Friendly URLs by vBSEO 3.3.0
[c] ebiz-consult GmbH & Co. KG